<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/linear_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"
        android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/top_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/black"
            android:paddingStart="10dp"
            android:paddingTop="10dp"
            android:paddingEnd="10dp"
            android:paddingBottom="25dp">

            <ImageView
                android:id="@+id/top_im"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:scaleType="fitCenter"
                android:layout_marginStart="10dp"
                android:src="@drawable/placeholder" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignTop="@id/top_im"
                android:layout_alignBottom="@id/top_im"
                android:layout_marginStart="15dp"
                android:layout_toStartOf="@id/im_play"
                android:layout_toEndOf="@id/top_im"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:paddingEnd="15dp">

                <TextView
                    android:id="@+id/top_song_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:maxLines="2"
                    android:text="@string/app_name"
                    android:textColor="@color/text_color_1"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/top_singer_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:ellipsize="end"
                    android:maxLines="1"
                    android:text="@string/app_name"
                    android:textColor="@color/white_60_color"
                    android:textSize="11sp" />
            </LinearLayout>

            <ImageView
                android:id="@+id/im_play"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:layout_alignParentEnd="true"
                android:layout_marginEnd="22dp"
                android:padding="20dp"
                android:src="@drawable/selector_small_play" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/list_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="-15dp"
            android:background="@drawable/rec_bg_18">


            <TextView
                android:id="@id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="10dp"
                android:textSize="17sp"
                android:layout_marginTop="10dp"
                android:layout_marginStart="15dp"
                android:textColor="@color/white"
                android:text="@string/play_next" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycler_list"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_below="@id/tv_title" />


        </RelativeLayout>


    </LinearLayout>
</FrameLayout>